/** @file folderbox.h

	HITACHI BASIC MASTER LEVEL3 Mark5 Emulator 'EmuB-6892'
	Skelton for retropc emulator

	@author Sasaji
	@date   2015.03.21 -

	@brief [ file box ]
*/

#ifndef _FILEBOX_H_
#define _FILEBOX_H_

#include <Windows.h>
#include <tchar.h>

class FileBox
{
private:
	HWND hWnd;
	DWORD flags;

	void get_parent_dir(_TCHAR *path);

public:
	FileBox(HWND parent_window);
	~FileBox();
	bool Show(const _TCHAR* filter, const _TCHAR *title, const _TCHAR* dir, const _TCHAR* ext, bool save, _TCHAR *path);

	DWORD GetFlags() { return flags; }
//	void  SetFlags(DWORD value) { flags = value; }

};

#endif /* _FILEBOX_H_ */
