/** @file dibsection.h

	HITACHI BASIC MASTER LEVEL3 Mark5 Emulator 'EmuB-6892'
	Skelton for retropc emulator

	@author Sasaji
	@date   2013.10.30 -

	@brief [ dibsection ]
*/

#ifndef _DIBSECTION_H_
#define _DIBSECTION_H_

#include <windows.h>

/**
	@brief manage DIB section
*/
class DibSection
{
protected:
	HDC     hMainDib;
	HANDLE  hMainBuf;
	HBITMAP hMainBmp;
	DWORD  *pMainBuf;
	bool    enable;

	/// DIB쐬
	bool CreateDib(HDC hdc, long width, long height, HANDLE *hBuf, HBITMAP *hBmp, DWORD **pBuf, HDC *hdcDib);
	bool CreateDib(HDC hdc, long width, long height);
	/// DIB폜
	void ReleaseDib(HANDLE *hBuf, HBITMAP *hBmp, HDC *hdcDib);
	void ReleaseDib();

public:
	DibSection();
	~DibSection();
};

#endif
